Subject: Re: [PATCH v2] powerpc: change rheap functions to use ulongs instead of pointers

From: Timur Tabi <[email-masked]>
Date: Tue, 10 Apr 2007 13:46:01 -0500

Kumar Gala wrote:

> If we are "cleaning up" rheap I would suggest we think about moving  
> it to the generic lib directory and have it available for wider use  
> beyond powerpc.

I'm not saying that's a bad idea, but that really is outside the scope of my intentions. 
I'm not really cleaning up rheap as I am fixing one specific problem.

I don't think there's any disagreement here that an integer type (in this case, unsigned 
long) is better than a void * for storing a generic value.  I was really hoping I could 
get a consensus on whether or not *this* patch is good for *our* rheap implementation.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale